{% extends '@EasyAdmin/default/layout.html.twig' %}

{% block body %}
    {% trans_default_domain 'FOSUserBundle' %}

    {% if error %}
        <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <section id="login">
        <header class="text-center"><h2>{{ 'security.login.submit'|trans }}</h2></header>
        <div class="align-items-center text-center container">
            <div class="row">
            <div class="col-4 offset-4">
                <form action="{{ path("fos_user_security_check") }}" method="post">
                    {% if csrf_token %}
                        <input type="hidden" name="_csrf_token" value="{{ csrf_token }}"/>
                    {% endif %}

                    <div class="form-group-lg">
                        <label class="form-control-lg pull-left" for="username">{{ 'security.login.username'|trans }}</label>
                        <input class="form-control" type="text" id="username" name="_username"
                               value="{{ last_username }}"
                               required="required" autocomplete="username"/>
                    </div>
                    <div class="form-group-lg">
                        <label class="form-control-lg pull-left" for="password">{{ 'security.login.password'|trans }}</label>
                        <input class="form-control" type="password" id="password" name="_password" required="required"
                               autocomplete="current-password"/>
                    </div>
                    <div class="form-group-lg">
                        <input class="form-control-lg pull-right" type="checkbox" id="remember_me" name="_remember_me" value="on"/>
                        <label class="form-control-lg pull-left" for="remember_me">{{ 'security.login.remember_me'|trans }}</label>
                    </div>
                    <div class="form-group-lg">
                        <input class="form-control btn btn-primary" type="submit" id="_submit" name="_submit"
                               value="{{ 'security.login.submit'|trans }}"/>
                    </div>
                </form>
            </div>
            </div>
        </div>
    </section>
{% endblock %}
